# ETableColumnSpecification

## Name

ETableColumnSpecification --

## Synopsis

    #define     E_TABLE_COLUMN_SPECIFICATION_TYPE
    typedef     ETableColumnSpecification;
    ETableColumnSpecification* e_table_column_specification_new
                                                (void);
    void        e_table_column_specification_load_from_node
                                                (ETableColumnSpecification *state,
                                                 const xmlNode *node);
    xmlNode*    e_table_column_specification_save_to_node
                                                (ETableColumnSpecification *state,
                                                 xmlNode *parent);

## Object Hierarchy

      GtkObject
       +----ETableColumnSpecification

## Description

## Details

### E_TABLE_COLUMN_SPECIFICATION_TYPE

    #define E_TABLE_COLUMN_SPECIFICATION_TYPE        (e_table_column_specification_get_type ())

### ETableColumnSpecification

    typedef struct {
    	GtkObject base;
    	int model_col;
    	char *title_;
    	char *pixbuf;

    	double expansion;
    	int minimum_width;
    	guint resizable : 1;

    	char *cell;
    	char *compare;
    } ETableColumnSpecification;

### e_table_column_specification_new ()

    ETableColumnSpecification* e_table_column_specification_new
                                                (void);

Returns : |

### e_table_column_specification_load_from_node ()

    void        e_table_column_specification_load_from_node
                                                (ETableColumnSpecification *state,
                                                 const xmlNode *node);

`state` : |
`node` : |

### e_table_column_specification_save_to_node ()

    xmlNode*    e_table_column_specification_save_to_node
                                                (ETableColumnSpecification *state,
                                                 xmlNode *parent);

`state` : |
`parent` : |
Returns : |